<?php
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
//---------------
cache();
//-----------------
$sesion->set('permiso',permisos($_POST['privilegio']));	

require_once("../includes/lib_lenguaje.php");
$cleguaje=new cLanguage();

if(!comprobar_sesion()){
	mensaje($cleguaje->Phrase('global','ses_cad'),$cleguaje->Phrase('project','institucion'));	
	exit;
}
$cd_docente="";
if($sesion->getVar('ac_tipo_user')=='1'){
	$cd_docente=$sesion->getVar("info_doc.cod_profesor"); 	
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$permisos = str_split($sesion->get('permiso'));
?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Asignacion de faltas</title>

<script  type="text/javascript">  
var element=null;
var dtsListEst, editRegInasis,subGridInasis;
var dtsDetFaltas=[];
var temEst;
$(document).ready(function(e) {
    var total_por=0;
	var cod_docente="<?php echo $cd_docente ?>"; 
	var gr=null;
	var ide_act;
	var wndFaltas, dtSelectFalta,dtsFaltas;
	var lang=dtsLang.faltas;

/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_fal_sedes").change(function(){
		cd_sede=$(this).val();
		if(cod_docente==""){
			dt={cod_cnds:cd_sede,codigo:'a28',mopc:'0'}
		}else{
			dt={cod_cnds:cod_docente+"|"+cd_sede,codigo:'a25',mopc:'0'}
		}
		$.ajax({
			type: "POST",
			url: "includes/cargar_selec_normal.php",
			data: dt ,
			success: function(dt){
				$("#md_fal_jornadas").html(dt);
				$("#md_fal_jornadas").trigger("change");
			},
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_fal_jornadas").change(function(){
		var jor=$(this).val();
		$.ajax({
			type: "POST",
			url: "mod_faltas/cargar_select_grupos.php",
			data: {sede:$("#md_fal_sedes").val(), jornada:jor},
			success: function(rta){
				$("#md_fal_grupo").html(rta);
				$("#md_fal_grupo").trigger("change");
			}
		});
	});

/*//-----------------------------------------------------------------------------------------------------*/

	$("#md_fal_grupo").change(function(){
		$("#nomGrupo").text($("option:selected",this).parent()[0].label)	;
		cd_grupo=$(this).val();
		per_act=$("option:selected",this).data("per");
		num_per=$("option:selected",this).data("neval");
		var $cont="";
		for(i=1;i<=num_per;i++){
			if(i==per_act)
				$cont+="<option value='"+i+"' selected>"+i+"</option>";
			else
				$cont+="<option value='"+i+"' >"+i+"</option>";
		}

		$("select#md_fal_txtperiodo").html($cont);
		$("#md_fal_txtperiodo").trigger("change",['1']);
				
		gridEst.setGridParam({
			url:"mod_faltas/list_estudiantesxfaltas.php",
			page:1,
			datatype:'json',
			postData:{
				cdgr:$("#md_fal_grupo").val(),
				per_calif: $("#md_fal_txtperiodo").val(),
			}
		}).trigger("reloadGrid");

	});


/*//-----------------------------------------------------------------------------------------------------*/			
	
	
	$("#md_fal_txtperiodo").change(function(s,x){
		elem=$(this);
		if(elem.val()!=$("#md_fal_grupo option:selected").data("per")){
			bloquear(true);
		}else bloquear(false);
		if(x!='1'){
			$.ajax({
				url:'mod_faltas/list_estudiantesxfaltas.php',
				type:"POST",
				dataType:"json",
				data:{notas:1, cdgr:$("#md_fal_grupo").val(),per_calif: $("#md_fal_txtperiodo").val()},
				success: function(r){
					$.each(r,function(i,d){
						gridEst.setCell(d['cd'],'nota_dic',d['nota']);
						color(gridEst,d['cd'],d['nota']);
					});
					
				}
			});
		}
		id=gridEst.getGridParam('selrow');
		if(id){
			gridEstFaltas.setGridParam({
				postData:{
					per_cal:elem.val(),
					id:id,
				},
				page:1,
				datatype:'json',
			}).trigger("reloadGrid");
		}	
	});
	
/*//-----------------------------------------------------------------------------------------------------*/
function bloquear(b){
	if(b)
		$("#new_t_list_infoEstFaltas, #edit_t_list_infoEstFaltas, #del_tlist_infoEstFaltas").addClass("ui-state-disabled");
	else
		$("#new_t_list_infoEstFaltas, #edit_t_list_infoEstFaltas, #del_tlist_infoEstFaltas").removeClass("ui-state-disabled");
}
/*//-----------------------------------------------------------------------------------------------------*/
	$("#md_fal_sedes").trigger("change");
	var row_acti;
	
	var gridEst=jQuery("#list_infoEst").jqGrid({
		caption: lang.titulogrilla,
		height: 357, /*//tamaño  alto de la grilla*/
		url:'',
		datatype: "local",
		rowNum:30,
		hidegrid:false,
		rowList:[15,30,50],
		pager: '#pager_infoEstFaltas',
		viewrecords: true,
		sortorder: "asc",
		multiselect: false,
		editurl:'',
		shrinkToFit:false,
		colNames:[
					lang.num_doc,lang.nom_ape,lang.nota
				  ], 
		colModel:[	
			{name:'numedocumento_est',sortable:false,index:'numedocumento_est',resizable:false,width:115},
			{name:'nom_ape',sortable:false,index:'nom_ape',resizable:false,width:230},
			{name:'nota_dic',sortable:false,index:'nota_dic',resizable:false,width:80},
		],
		afterInsertRow: function(rowid, aData){
			color(gridEst,rowid,aData.nota_dic)
		},
		onSelectRow:function(rowid){
			
			row_acti=rowid;
			sessionStorage.temEst = rowid;
			
			gridEstFaltas.setGridParam({
				postData:{
					per_cal:$("select#md_fal_txtperiodo").val(),
					id:rowid,
				},
				datatype: "json",
				url:"mod_faltas/list_faltas.php",
				page:1
			}).trigger("reloadGrid").setCaption(lang.titulogrilla +" por <em>"+ gridEst.getCell(rowid,'nom_ape')+'</em>' );
		},
		
	});
	
	var gridEstFaltas=jQuery("#list_infoEstFaltas").jqGrid({
		caption: lang.titulogrilla,
		height: 330, 
		url:'',
		width:625,
		mtype:"GET",
		datatype: "local",
		rowNum:30,
		hidegrid:false,
		rowList:[15,30,50],
		pager: '#pager_infoEstFaltasList',
		viewrecords: false,
		sortorder: "asc",
		multiselect: false,
		editurl:'mod_faltas/new_edit_faltas.php',
		shrinkToFit:false,
		toolbar:[true,'top'],
		colNames:[
					lang.tipo,lang.fecha_h,lang.nom_falta,lang.info_falta,'',''
				  ], 
		colModel:[	

			{name:'nom_tp_falta',index:'nom_tp_falta',edittype:"select",resizable:false,width:90},
			{name:'fecha_falta',index:'fecha_falta',resizable:false,width:120},
			{name:'desc_falta',sortable:false,index:'desc_falta',resizable:false,width:260},
			{name:'obs_falta',sortable:false,index:'obs_falta',resizable:false,width:260, },
			{name:'id_tip_f',index:'id_tip_f',resizable:false,width:260, search:false,hidden:true},
			{name:'cd_falta',index:'cd_falta',resizable:false,width:260, search:false,hidden:true},
		],	
	});
	jQuery("#list_infoEstFaltas").jqGrid('navGrid','#pager_infoEstFaltasList',{add:false,edit:false,del:false,search:false}, {}, {}, {}, {} );
	
<?php if(in_array("A", $permisos)) {?>
	var dtnew={
			ancho:'auto',
			alto:'auto',	
			param:'?accion=new',
			nom_pag:"t_list_infoEstFaltas",
			title: dtsLang.globals.news +" " +lang.name,
			empresa: dtsLang.project.institucion,
			msgExito:dtsLang.globals.newexito,					
			iframe:false,
			validar:function(){
				if($("#list_infoEst").getGridParam('selrow')===null){
					jAlert(lang.msg_sel_est,dtsLang.project.institucion,"adv");
					return 0;
				}else{
					return 1;
				}
			}
	};
	
	btnNuevoColorbox(gridEstFaltas,dtnew);
	
<?php } if(in_array("M", $permisos)) {?>
	var dtedit={
			nom_pag:"t_list_infoEstFaltas",
			ide_tabla:'list_infoEstFaltas',
			msg_sel:dtsLang.globals.selrec, 
			msg_cmps_oblg:dtsLang.globals.cmpobl,
			title: dtsLang.globals.edit +" " +lang.name,
			empresa: dtsLang.project.institucion,
			msgExito:dtsLang.globals.newexito,
			ancho:'auto',
			alto:'auto',
			param:'?accion=edit',
			iframe:false,	
	};
	btnEditarColorbox(gridEstFaltas,dtedit);

	
<?php } if(in_array("E", $permisos)){ ?>	
		var tddel={
			modulo:'inasistenacias',
			nom_pag:"t_list_infoEstFaltas",
			ide_tabla:'list_infoEstFaltas',
			data:function(){
				return{ ide_est:jQuery("#list_infoEst").getGridParam("selrow"),periodo: $("#md_fal_txtperiodo").val() }
			},
			msg_sel:dtsLang.globals.selrec, 
			msg_confirma:lang.msgconfirdel, /*//mensaje de confirmacion para la eliminacion*/
			title:  dtsLang.globals.del +" " +lang.name,
			empresa: dtsLang.project.institucion,
			isgrid:true,
			url:"mod_faltas/opera_faltas.php",
			msgExito:dtsLang.globals.delexito,
			adicional:function(rta){
				gridEst.setCell(row_acti,'nota_dic',rta.nota);
				color(gridEst,row_acti,rta.nota); 
			}
		};
		btnEliminar(gridEstFaltas,tddel);

<?php } ?>
    newBottonGrid(gridEstFaltas, {
        pag: 't_list_infoEstFaltas',
        title: "Reporte",
        caption: '',
        id: "reporte_Observatorio",
        onClickButton: function () {
            if (jQuery("#list_infoEst").getGridParam("selrow") === null) {
                jAlert(lang.msg_sel_est, dtsLang.project.institucion, "adv");
                return false;
            }
            var temEst=jQuery("#list_infoEst").getGridParam("selrow");
            var x = (screen.width / 2) - (1024 / 2);
            var y = (screen.height / 2) - (480 / 2);
            console.log(x, y);
            window.open('mod_observatorio/reporte_fn1.php?ideest=' + temEst, "_blanck", "toolbar=yes,scrollbars=yes,resizable=0,top=" + x + ",left=" + y + ",width=1024,height=480");
            return false;
        },
        posicion: "last",
        buttonicon: 'icon-print',
    });
//----------------------------------------------------------------------------------------------------------------------------------------
	
});

</script>

</head>

<body>
<table align="center">
	<tr>
	  <td colspan="2">
          <table align="left">
	        <tr clas class="tit1">
	          <td><?php echo $cleguaje->getField('global','name_sede') ?></td>
	          <td><?php echo $cleguaje->getField('global','name_jornada') ?></td>
	          <td><?php echo $cleguaje->getField('global','grupos') ?>&nbsp;<span class="text4" id="nomGrupo"></span></td>
	          <td id="tipo_evaluacion"><?php echo $cleguaje->getField('md_notas','periodos') ?></td>
	          </tr>
	        <tr>
	          <td><select name="md_fal_sedes" class="campos" id="md_fal_sedes" style="width:250px; " >
	      <?php
		  	if($cd_docente!=""){
				$sql="SELECT adm_sedes.cod_sede , adm_sedes.nom_sede FROM aca_asignaturasxgrupos 
							INNER JOIN aca_grupos ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo)
							INNER JOIN adm_sedes ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
						WHERE (aca_asignaturasxgrupos.cod_profesor='$cd_docente') GROUP BY adm_sedes.cod_sede";
			}else{
				$sql="SELECT
							DISTINCT adm_sedes.cod_sede
							, adm_sedes.nom_sede
						FROM
							aca_grupos
							INNER JOIN adm_sedes 
								ON (aca_grupos.cod_sede = adm_sedes.cod_sede)
							INNER JOIN aca_asignaturasxgrupos 
								ON (aca_asignaturasxgrupos.cod_grupo = aca_grupos.cod_grupo) ORDER BY adm_sedes.con_sede ASC";
			}
			
					
			$academia->instruccion($sql);
			while($reg=$academia->extraer_registro()){
				echo "<option value='".$reg[cod_sede]."' aux='$cmpaux2' >".$reg[nom_sede]."</option>";	
			}
			$academia->liberar();
					
		?>
              </select></td>
	          <td><select name="md_fal_jornadas" class="campos" id="md_fal_jornadas" style="width:160px">
	            <option value="0x">Seleccionar...</option>
	            <?php
		
               ?>
              </select></td>
	          <td><select name="md_fal_grupo" class="campos" id="md_fal_grupo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
              </select></td>
	          <td><select name="md_fal_txtperiodo" class="campos" id="md_fal_txtperiodo" style="width:160px">
	            <option value="0x">Seleccionar...</option>
              </select></td>
	          </tr>
          </table>
      </td>
  </tr>
	<tr>
    	<td>
            <table id="list_infoEst"></table>
			<div id="pager_infoEstFaltas"></div>
        </td>
        <td>
            <table id="list_infoEstFaltas"></table>
			<div id="pager_infoEstFaltasList"></div>
        </td>
	</tr>
</table>
</div>


</body>
</html>